Bug 131308 - Gallery: update Computer gallery
Summary: Gallery: update Computer gallery
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Gallery Gallery_7.0
  Show dependency treegraph
 
Reported: 2020-03-12 13:34 UTC by andreas_k
Modified: 2020-04-14 20:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Removed Computer Gallery from LibO 6.4 (769.28 KB, application/zip)
2020-04-03 09:47 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-03-12 13:34:48 UTC
With the new BPMN gallery it's now possible to use LibreOffice draw shapes in galleries.

As the big benefit will be to offer the user to change the colors of lines and area, I suggest to update the Computer gallery to use shapes instead of colored images.

The computer shapes should fit also to to BPMN shapes in size so that it's possible to mix between different galleries.
Comment 1 Heiko Tietze 2020-03-19 11:26:38 UTC
These computer symbols are totally pointless to me. I'd remove the whole gallery or replace it by something more useful. See also bug 131318.
Comment 2 Rizal Muttaqin 2020-03-19 13:03:20 UTC
(In reply to Heiko Tietze from comment #1)
> These computer symbols are totally pointless to me. I'd remove the whole
> gallery or replace it by something more useful. See also bug 131318.

While in today office suite the idea of ClipArt is not even relevant again, we have no proper support for similar Visio's stencil approach. Draw has more similarity with Visio so basically if we remove Gallery we lose everything.

I tend to agree if we remove Gallery if only we already have better replacement.
Comment 3 andreas_k 2020-03-19 14:08:02 UTC
The ideas of Computer gallery is to update the category with cisco symbols.
Comment 4 Rizal Muttaqin 2020-03-19 17:17:07 UTC
(In reply to andreas_k from comment #3)
> The ideas of Computer gallery is to update the category with cisco symbols.

Better to separate them since Cisco always has its own category
Comment 5 Commit Notification 2020-04-02 14:33:02 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/59a05bc2120750104cca0bc16cad8e0e831ca534

tdf#131308 Gallery: Remove Computer Gallery

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 andreas_k 2020-04-03 09:47:15 UTC
Created attachment 159293 [details]
Removed Computer Gallery from LibO 6.4

The Computer Gallery from LibO < 7.0 as extension. It will be available also via extension page.
Comment 7 Commit Notification 2020-04-14 20:09:42 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/39f45e8a0f04fb5f8641d57fbc09c531987967e8

tdf#131308 add network gallery

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.